import { SafeEventEmitterProvider } from "./safe-event-emitter-provider.mjs";
/**
 * Construct an Ethereum provider from the given JSON-RPC engine.
 *
 * @param engine - The JSON-RPC engine to construct a provider from.
 * @returns An Ethereum provider.
 */
export function providerFromEngine(engine) {
    return new SafeEventEmitterProvider({ engine });
}
//# sourceMappingURL=provider-from-engine.mjs.map